libvar-pairs-perl_0.004001-1_all.deb


Advertisement

Description

libvar-pairs-perl - Perl module implementing iterators and pair constructors for variables

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libvar-pairs-perl_0.004001-1_all.deb
Package name libvar-pairs-perl
Package version 0.004001
Package release 1
Package architecture all
Package type deb
Category devel::lang:perl devel::library implemented-in::perl perl
Homepage https://metacpan.org/release/Var-Pairs
License -
Maintainer Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Download size 20.09 KB
Installed size 58.00 KB
Var::Pairs exports a small number of subroutines that add some Perl 6
conveniences to Perl 5. Specifically, the module exports several subroutines
that simplify interactions with key/value pairs in hashes and arrays.
If the autobox Perl module provided in libautobox-perl package is installed the
object-oriented methods corresponding to the subroutine-based interfaces can be
used.

Alternatives

Package Version Architecture Repository
libvar-pairs-perl_0.004001-1_all.deb 0.004001 all Debian Main
libvar-pairs-perl - - -

Requires

Name Value
libdata-alias-perl -
libdevel-callsite-perl -
libpadwalker-perl -
libscope-upper-perl -
perl -
perl >= 5.22

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libvar-pairs-perl_0.004001-1_all.deb
Source Package libvar-pairs-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libvar-pairs-perl deb package:
    # sudo apt-get install libvar-pairs-perl

Files

Path
/usr/share/doc/libvar-pairs-perl/changelog.Debian.gz
/usr/share/doc/libvar-pairs-perl/changelog.gz
/usr/share/doc/libvar-pairs-perl/copyright
/usr/share/man/man3/Var::Pairs.3pm.gz
/usr/share/perl5/Var/Pairs.pm
/usr/share/perl5/Var/Pairs/Pair_BuiltIn.pm
/usr/share/perl5/Var/Pairs/Pair_DataAlias.pm

Changelog

2018-05-09 - Salvatore Bonaccorso <carnil@debian.org>
libvar-pairs-perl (0.004001-1) unstable; urgency=medium
* New upstream version 0.004001
* Drop manpage-has-errors-from-pod2man.patch patch
2018-05-09 - Salvatore Bonaccorso <carnil@debian.org>
libvar-pairs-perl (0.004000-1) unstable; urgency=medium
* Update Vcs-* headers for switch to salsa.debian.org
* New upstream version 0.003005 and 0.004000
* Add (Build-)Depends on libscope-upper-perl
* Bump Debhelper compat level to 10
* Update copyright years for debian/* packaging files
* Make (Build-)Depends(-Indep) on libpadwalker-perl unversioned
* Make (Build-)Depends(-Indep) on perl unversioned
* Drop explicit Depends on perl (covered by ${perl:Depends})
* Set Rules-Requires-Root to no
* Declare compliance with Debian policy 4.1.4
* Add manpage-has-errors-from-pod2man.patch patch
2016-08-20 - Salvatore Bonaccorso <carnil@debian.org>
libvar-pairs-perl (0.003004-1) unstable; urgency=medium
[ Salvatore Bonaccorso ]
* debian/control: Use HTTPS transport protocol for Vcs-Git URI
[ gregor herrmann ]
* debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
[ Salvatore Bonaccorso ]
* Imported Upstream version 0.003000 and 0.003004
* Bump Debhelper compat level to 9
* Update (Build-)Depends(-Indep) on libdata-alias-perl.
Upstream refactored the code to not use anymore Data::Alias for Perl
versions which support the 'refaliasing' feature, which is present
in Perl >= 5.22.
Thanks to Damian Conway for the quick fix upstream. (Closes: #834798)
* Update copyright years for debian/* packaging files
* Declare compliance with Debian policy 3.9.8
* autopkgtest: Skip syntax check for Var/Pairs/Pair_DataAlias.pm
2015-04-28 - Salvatore Bonaccorso <carnil@debian.org>
libvar-pairs-perl (0.002004-2) unstable; urgency=medium
* Upload to unstable
2015-04-04 - Salvatore Bonaccorso <carnil@debian.org>
libvar-pairs-perl (0.002004-1) experimental; urgency=medium
* Update Vcs-Browser URL to cgit web frontend
* Imported Upstream version 0.002004
* Update copyright years for debian/* packaging files
* Declare compliance with Debian policy 3.9.6
* Add Testsuite: autopkgtest-pkg-perl field in debian/control
2014-04-05 - Salvatore Bonaccorso <carnil@debian.org>
libvar-pairs-perl (0.002000-1) unstable; urgency=medium
* Imported Upstream version 0.002000
2014-03-11 - Salvatore Bonaccorso <carnil@debian.org>
libvar-pairs-perl (0.001005-1) unstable; urgency=medium
[ gregor herrmann ]
* Strip trailing slash from metacpan URLs.
[ Salvatore Bonaccorso ]
* Imported Upstream version 0.001005
* Declare compliance with Debian Policy 3.9.5
* Update copyright years for debian/* packaging files
2013-10-27 - Salvatore Bonaccorso <carnil@debian.org>
libvar-pairs-perl (0.001003-1) unstable; urgency=low
* Imported Upstream version 0.001003
* Change dependencies for Devel::Callsite.
Remove (Build-)Depends(-Indep) on libscope-upper-perl and replace it
with Build-Depends-Indep and Depends on libdevel-callsite-perl.
2013-03-23 - Salvatore Bonaccorso <carnil@debian.org>
libvar-pairs-perl (0.001002-1) unstable; urgency=low
* Imported Upstream version 0.001002
2013-03-22 - Salvatore Bonaccorso <carnil@debian.org>
libvar-pairs-perl (0.001001-1) unstable; urgency=low
* Initial Release (Closes: #703723).

See Also

Package Description
libvarconf-1.0-8v5_1.0.1-6_i386.deb WorldForge configuration file handling library
libvarconf-dev_1.0.1-6_i386.deb WorldForge configuration file handling library - development files
libvariable-magic-perl_0.62-1+b1_i386.deb module to associate user-defined magic to variables from Perl
libvariantslib-ocaml-dev_113.33.03-2+b1_i386.deb OCaml syntax extension for supporting variants as first class values (dev)
libvariantslib-ocaml_113.33.03-2+b1_i386.deb OCaml syntax extension for supporting variants as first class values (runtime)
libvarnishapi-dev_6.1.1-1+b1_i386.deb development files for Varnish
libvarnishapi2_6.1.1-1+b1_i386.deb shared libraries for Varnish
libvbr-dev_2.11.0~alpha-12_i386.deb Headers and development libraries for the OpenDKIM VBR library
libvbr2_2.11.0~alpha-12_i386.deb Library for RFC 5518 Vouch By Reference (VBR)
libvc-dev_005-4_i386.deb vCard library - development files
libvc0_005-4_i386.deb vCard (the Electronic Business Card) library
libvcdinfo-dev_2.0.1+dfsg-3_i386.deb library to extract information from VideoCD (development files)
libvcdinfo0_2.0.1+dfsg-3_i386.deb library to extract information from VideoCD
libvcs-lite-perl_0.12-1_all.deb Minimal version control system
libvdb-sqlite-dev_2.9.3+dfsg-2_i386.deb sqlite modul of ncbi-vdb library (devel)
Advertisement
Advertisement